(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      8936,        284]
NotebookOptionsPosition[      8112,        256]
NotebookOutlinePosition[      8454,        271]
CellTagsIndexPosition[      8411,        268]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 CellChangeTimes->{{3.425455350171875*^9, 3.425455389828125*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"r", "=", "1"}], ";"}]], "Input",
 CellChangeTimes->{{3.424145719171875*^9, 3.424145721890625*^9}, {
  3.424147698328125*^9, 3.4241477140625*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"f", "[", 
    RowBox[{
     RowBox[{"x", "[", "t_", "]"}], ",", 
     RowBox[{"y", "[", "t_", "]"}]}], "]"}], "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"r", " ", "t"}], "+", 
      RowBox[{"r", " ", 
       RowBox[{"Cos", "[", " ", "t", "]"}]}]}], ",", 
     RowBox[{"r", "+", 
      RowBox[{"r", " ", 
       RowBox[{"Sin", "[", " ", "t", "]"}]}]}]}], "}"}]}], " ", 
  ";"}]], "Input",
 CellChangeTimes->{{3.424145512609375*^9, 3.4241455938125*^9}, {
  3.424145643140625*^9, 3.4241457164375*^9}, {3.42414579390625*^9, 
  3.4241457955*^9}, {3.42414589078125*^9, 3.424145903015625*^9}, {
  3.42414594275*^9, 3.424145945765625*^9}}],

Cell[BoxData[
 RowBox[{"ParametricPlot", "[", 
  RowBox[{
   RowBox[{"f", "[", 
    RowBox[{
     RowBox[{"x", "[", "t", "]"}], ",", 
     RowBox[{"y", "[", "t", "]"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "10"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.42414572571875*^9, 3.424145782921875*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"g", "[", 
    RowBox[{
     RowBox[{"a", "[", "t_", "]"}], ",", 
     RowBox[{"b", "[", "t_", "]"}]}], "]"}], "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"r", " ", "t"}], "-", 
      RowBox[{"r", " ", 
       RowBox[{"Cos", "[", " ", "t", "]"}]}]}], ",", 
     RowBox[{"r", "-", 
      RowBox[{"r", " ", 
       RowBox[{"Sin", "[", " ", "t", "]"}]}]}]}], "}"}]}], " ", 
  ";"}]], "Input",
 CellChangeTimes->{{3.424146193921875*^9, 3.42414626496875*^9}}],

Cell[BoxData[
 RowBox[{"ParametricPlot", "[", 
  RowBox[{
   RowBox[{"g", "[", 
    RowBox[{
     RowBox[{"a", "[", "t", "]"}], ",", 
     RowBox[{"b", "[", "t", "]"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "10"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.424146224859375*^9, 3.424146227046875*^9}, 
   3.42414626803125*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"h", "[", 
    RowBox[{
     RowBox[{"m", "[", "t_", "]"}], ",", 
     RowBox[{"n", "[", "t_", "]"}]}], "]"}], "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"r", " ", "t"}], "-", 
      RowBox[{"r", " ", 
       RowBox[{"Cos", "[", " ", "t", "]"}]}]}], ",", 
     RowBox[{"r", "+", 
      RowBox[{"r", " ", 
       RowBox[{"Sin", "[", " ", "t", "]"}]}]}]}], "}"}]}], " ", 
  ";"}]], "Input",
 CellChangeTimes->{{3.424146287765625*^9, 3.424146306984375*^9}}],

Cell[BoxData[
 RowBox[{"ParametricPlot", "[", 
  RowBox[{
   RowBox[{"h", "[", 
    RowBox[{
     RowBox[{"m", "[", "t", "]"}], ",", 
     RowBox[{"n", "[", "t", "]"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "10"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.42414634646875*^9, 3.42414635178125*^9}, {
   3.4241469049375*^9, 3.42414693275*^9}, 3.424147832046875*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"i", "[", 
    RowBox[{
     RowBox[{"p", "[", "t_", "]"}], ",", 
     RowBox[{"q", "[", "t_", "]"}]}], "]"}], "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"r", " ", "t"}], "-", 
      RowBox[{"r", " ", 
       RowBox[{"Sin", "[", "t", "]"}]}]}], ",", 
     RowBox[{"r", "-", 
      RowBox[{"r", " ", 
       RowBox[{"Cos", "[", " ", "t", "]"}]}]}]}], "}"}]}], " ", 
  ";"}]], "Input",
 CellChangeTimes->{{3.4241477519375*^9, 3.424147823703125*^9}, {
  3.4241478805*^9, 3.42414793275*^9}}],

Cell[BoxData[
 RowBox[{"ii", "=", 
  RowBox[{"ParametricPlot", "[", 
   RowBox[{
    RowBox[{"i", "[", 
     RowBox[{
      RowBox[{"p", "[", "t", "]"}], ",", 
      RowBox[{"q", "[", "t", "]"}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", "15"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.42414784040625*^9, 3.424147855328125*^9}, 
   3.424148704953125*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"circle", "[", "t_", "]"}], "=", 
   RowBox[{"Graphics", "[", 
    RowBox[{
     RowBox[{"Circle", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"r", " ", "t"}], ",", "r"}], "}"}], ",", "r"}], "]"}], ",", 
     RowBox[{"Axes", "\[Rule]", "True"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.424146465765625*^9, 3.424146480171875*^9}, {
  3.42414659465625*^9, 3.4241466715*^9}, {3.42414680196875*^9, 
  3.42414684084375*^9}, {3.424146874859375*^9, 3.42414687840625*^9}}],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"ii", ",", 
   RowBox[{"circle", "[", "Pi", "]"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.4241475403125*^9, {3.4241476466875*^9, 3.424147665796875*^9}, {
   3.424147943890625*^9, 3.424147957234375*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"point", "[", "t_", "]"}], "=", 
   RowBox[{"Graphics", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"PointSize", "[", "Large", "]"}], ",", "Pink", ",", 
      RowBox[{"Point", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"r", " ", "t"}], "-", 
          RowBox[{"r", " ", 
           RowBox[{"Sin", "[", "t", "]"}]}]}], ",", 
         RowBox[{"r", "-", 
          RowBox[{"r", " ", 
           RowBox[{"Cos", "[", " ", "t", "]"}]}]}]}], "}"}], "]"}]}], "}"}], 
    "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.424148073984375*^9, 3.42414810603125*^9}, {
   3.4241481781875*^9, 3.424148193453125*^9}, {3.42414824546875*^9, 
   3.424148254796875*^9}, 3.42414828753125*^9, {3.42414833896875*^9, 
   3.4241483638125*^9}, {3.42414855484375*^9, 3.42414856646875*^9}}],

Cell[BoxData[
 RowBox[{"Animate", "[", 
  RowBox[{
   RowBox[{"Show", "[", 
    RowBox[{"ii", ",", 
     RowBox[{"circle", "[", "t", "]"}], ",", 
     RowBox[{"point", "[", "t", "]"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "15"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.424148775109375*^9, 3.424148798984375*^9}, 
   3.42414884290625*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"Show", "[", 
     RowBox[{"ii", ",", 
      RowBox[{"circle", "[", "t", "]"}], ",", 
      RowBox[{"point", "[", "t", "]"}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", "15"}], "}"}]}], "]"}], "//", 
  "TableForm"}]], "Input",
 CellChangeTimes->{{3.424147501625*^9, 3.42414750315625*^9}, {
   3.42414756184375*^9, 3.424147564046875*^9}, {3.42414759625*^9, 
   3.42414762359375*^9}, {3.424147966640625*^9, 3.424148020109375*^9}, {
   3.424148583234375*^9, 3.424148587046875*^9}, 3.424148688375*^9}],

Cell[TextData[{
 StyleBox["\:0645\:0637\:0627\:0644\:0628 \:0648 \:062a\:0648\:0636\:064a\
\:062d\:0627\:062a \:0628\:064a\:0634\:062a\:0631 \:062f\:0631\n",
  FontColor->RGBColor[1, 0, 0]],
 StyleBox[ButtonBox["math2pc.persianblog.ir\n",
  BaseStyle->"Hyperlink",
  ButtonData:>{
    URL["http://www.math2pc.persianblog.ir"], None}],
  FontColor->RGBColor[0, 0, 1]],
 ButtonBox["math2pc.blog.ir",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://math2pc.blog.ir"], None},
  ButtonNote->"http://math2pc.blog.ir"]
}], "Text",
 CellChangeTimes->{{3.7447294760878*^9, 3.7447295059820004`*^9}, {
  3.7447295847976*^9, 3.7447295872488003`*^9}, {3.7447296318258*^9, 
  3.7447296338900003`*^9}, {3.7447297237511997`*^9, 3.7447297237511997`*^9}},
 TextAlignment->Center,
 TextJustification->0,
 FontSize->24]
},
WindowSize->{615, 527},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"8.0 for Microsoft Windows (64-bit) (November 7, 2010)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 139, 2, 31, "Input"],
Cell[687, 24, 180, 4, 31, "Input"],
Cell[870, 30, 699, 20, 31, "Input"],
Cell[1572, 52, 331, 9, 31, "Input"],
Cell[1906, 63, 520, 17, 31, "Input"],
Cell[2429, 82, 357, 10, 31, "Input"],
Cell[2789, 94, 521, 17, 31, "Input"],
Cell[3313, 113, 396, 10, 31, "Input"],
Cell[3712, 125, 554, 18, 31, "Input"],
Cell[4269, 145, 388, 11, 31, "Input"],
Cell[4660, 158, 552, 14, 31, "Input"],
Cell[5215, 174, 253, 6, 31, "Input"],
Cell[5471, 182, 853, 22, 52, "Input"],
Cell[6327, 206, 373, 10, 31, "Input"],
Cell[6703, 218, 593, 14, 31, "Input"],
Cell[7299, 234, 809, 20, 101, "Text"]
}
]
*)

(* End of internal cache information *)
